LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Debian
User Name
Password
Debian This forum is for the discussion of Debian Linux.

Notices

Reply
 
Search this Thread
Old 05-08-2008, 11:48 AM   #1
kaz2100
Senior Member
 
Registered: Apr 2005
Location: Penguin land, with apple, no gates
Distribution: Debian testing woody(32) sarge etch lenny squeeze(+64) wheezy jessie
Posts: 1,433

Rep: Reputation: 83
Etch user with ATI Radeon chip


Hya,

to etch and ATI Radeon Xpress 200M user

Today, I updated using aptitude... (as usual update dist-upgrade) about 10days interval.

One of updated packages include Xorg one. After upgrade, X does not kick in at all. And the ati driver I used to use (ati-driver-installer-8.40.4-x86.x86_64.run) does not work saying
Code:
Error: ./default_policy.sh does not support version
default:v2:i686:lib::none:2.6.22; make sure that the version is being
correctly set by --iscurrentdistro
Then I downloaded the new one (ati-driver-installer-8-4-x86.x86_64.run), which looked to work, at least X can kick in. However, glx does not work. (SegFaults)

I hope these problems will be taken care of in future.

Another take home message is: download ati driver before you update. It practically impossible to navigate using lynx.

Happy Penguins!
 
Old 05-09-2008, 06:37 AM   #2
introuble
Member
 
Registered: Apr 2004
Distribution: Debian -unstable
Posts: 700

Rep: Reputation: 31
Quote:
I hope these problems will be taken care of in future.
Taken care of by who? It's not Debian's "fault", if that's what you're suggesting.

Also, does your card not work with the fglrx-* packages available for Debian?
 
Old 05-09-2008, 07:36 AM   #3
LordAnta
Member
 
Registered: Apr 2008
Location: Bucharest, Romania
Distribution: Slackware current
Posts: 126

Rep: Reputation: 17
I have an Ati Xpress 200M and no problems here on Debian Etch 4.0r2 on a x86. Even the special effects from KDE4 work!
 
Old 05-11-2008, 11:44 AM   #4
kaz2100
Senior Member
 
Registered: Apr 2005
Location: Penguin land, with apple, no gates
Distribution: Debian testing woody(32) sarge etch lenny squeeze(+64) wheezy jessie
Posts: 1,433

Original Poster
Rep: Reputation: 83
Hya,

My bad! While I was troubleshooting, I found, guess what, my penguin is lenny, not etch....

And also found that glx is working again, after update upgrade today.

Apology for any confusion I made.

Happy Penguins!
 
  


Reply

Tags
ati, debian, etch, radeon, trouble, upgrade


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
serious problem with my ATI Radeon x1300 in Etch htamayo Debian 1 10-25-2007 01:10 PM
ATI mobility radeon X1300 supported on debian etch (4)? allyghee Debian 5 09-05-2007 12:44 PM
2 probs on etch: orinoco wlan and ati radeon new2deb Linux - Hardware 3 06-07-2007 01:53 PM
Radeon X600, unknown chip? feeble2 Linux - Hardware 1 08-12-2005 07:20 PM
ATI Radeon chip name? tripmix Linux - Newbie 2 01-18-2005 07:42 AM


All times are GMT -5. The time now is 01:42 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration